Package com.io7m.idstore.model

# Record Class IdHash

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdHash

Record Components:
  `algorithm` - The JCE hash algorithm name (such as "SHA-256")
  `hash` - The ASCII-encoded hash

All Implemented Interfaces:
  `Serializable`

public record IdHash(String algorithm, String hash) extends Record implements Serializable
The hash of an object.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHash(String algorithm, String hash)`
  The hash of an object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `algorithm()`
  Returns the value of the `algorithm` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `hash()`
  Returns the value of the `hash` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static IdHash`
  `sha256Of(byte[] data)`
  Create a SHA-256 hash of the given data.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdHash

    public IdHash(String algorithm, String hash)
    The hash of an object.
    Parameters:
      `algorithm` - The JCE hash algorithm name (such as "SHA-256")
      `hash` - The ASCII-encoded hash

- ## Method Details

  - ### sha256Of

    public static IdHash sha256Of(byte[] data)
    Create a SHA-256 hash of the given data.
    Parameters:
      `data` - The data
    Returns:
      The hash

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### algorithm

    public String algorithm()
    Returns the value of the `algorithm` record component.
    Returns:
      the value of the `algorithm` record component

  - ### hash

    public String hash()
    Returns the value of the `hash` record component.
    Returns:
      the value of the `hash` record component